Return


POST Create a return


Use the POST method to send a new return

If the return is successfully created, you'll receive a 201 Created response.

Request

POST /v2/inbound/{return_number}

  • Each request contains only one return.
  • The return_number in the URL must match the number field in the body of the request.
  • The request body is the return resource.
Required Fields
Field name Data type Description
number string The number associated with this return; must match the return_number in the URL
business_unit string Your company code in our system
line_items array The items in the return

The following fields must be included in each line entry

  • line_number
  • item
  • qty

Response JSON

    {
        "success": true
    }                        
                    

POST Retrieve a return


Request

GET /v2/return?return_number={return_number}

Parameters
return_number string
The order number used when creating the purchase order.

Response JSON

{
    "return": {
        "address": {
            "address1": "123 Main St.",
            "city": "Fredericksburg",
            "country_code": "US",
            "name": "John Doe",
            "province_code": "VA",
            "zip": "22408"
        },
        "business_unit": "C1234",
        "line_items": [
            {
                "item": "N605-AC-BK-S-PN",
                "line_number": "1",
                "qty": 1,
                "received_qty": 1
            }
        ],
        "number": "TEST_20260330",
        "order_number": "123456",
        "receipt_date": "2026-03-31",
        "status": "Received",
        "tracking_number": "123456789"
    }
}

©2024 Verde Fulfillment USA